Loading...
Searching...
No Matches
BALL::NMRStarFile::MonomericPolymer::HomologDB Class Reference

Database with homolog entries. More...

`#include <BALL/FORMAT/NMRStarFile.h>`

## Public Member Functions

| HomologDB ()
std::ostream & | operator>> (std::ostream &s)
void | clear ()

## Public Attributes

String | name
String | accession_code
String | entry_mol_name
float | seq_to_submitted_percentage
float | subject_length
float | seq_identity
float | seq_positive
float | homology_expectation_value

## Detailed Description

Database with homolog entries.

Definition at line 316 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## HomologDB()

BALL::NMRStarFile::MonomericPolymer::HomologDB::HomologDB | ( |  | ) |

## Member Function Documentation

## clear()

void BALL::NMRStarFile::MonomericPolymer::HomologDB::clear | ( |  | ) |

## operator>>()

std::ostream & BALL::NMRStarFile::MonomericPolymer::HomologDB::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## accession_code

String BALL::NMRStarFile::MonomericPolymer::HomologDB::accession_code

Definition at line 325 of file NMRStarFile.h.

## entry_mol_name

String BALL::NMRStarFile::MonomericPolymer::HomologDB::entry_mol_name

Definition at line 326 of file NMRStarFile.h.

## homology_expectation_value

float BALL::NMRStarFile::MonomericPolymer::HomologDB::homology_expectation_value

Definition at line 331 of file NMRStarFile.h.

## name

String BALL::NMRStarFile::MonomericPolymer::HomologDB::name

Definition at line 324 of file NMRStarFile.h.

## seq_identity

float BALL::NMRStarFile::MonomericPolymer::HomologDB::seq_identity

Definition at line 329 of file NMRStarFile.h.

## seq_positive

float BALL::NMRStarFile::MonomericPolymer::HomologDB::seq_positive

Definition at line 330 of file NMRStarFile.h.

## seq_to_submitted_percentage

float BALL::NMRStarFile::MonomericPolymer::HomologDB::seq_to_submitted_percentage

Definition at line 327 of file NMRStarFile.h.

## subject_length

float BALL::NMRStarFile::MonomericPolymer::HomologDB::subject_length

Definition at line 328 of file NMRStarFile.h.